%define debug 0

%define build_for_ftp 0

%define strip_bin 0
%define final 0
%define rpm_clean 1

%define desktop_file 1
%define desktop_file_utils_version 0.2.93

%define qt_version 3.1.1

Name: kdeedu
Version: 3.1
Release: 2
Summary: Educational/Edutainment applications for KDE
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
Prefix: %{_prefix}

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

Patch: kdeedu-3.1-xjdxgen.patch
Patch1: kdeedu-3.1-dt.patch
Patch2: kde-libtool.patch

%if %{build_for_ftp}
ExclusiveArch: %{ix86}
%endif

Requires: kdebase >= 6:%{version}-6
Requires: kdelibs >= 6:%{version}-6
Requires: qt >= 1:%{qt_version}

BuildRequires: kdebase-devel >= %{version}-1
BuildRequires: kdelibs-devel >= %{version}-1
BuildRequires: qt-devel >= %{qt_version}

%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

Obsoletes: keduca
Obsoletes: kgeo
Obsoletes: klettres
Obsoletes: kmessedwords
Obsoletes: kstars
Obsoletes: ktouch
Obsoletes: kvoctrain

Provides: keduca
Provides: kgeo
Provides: klettres
Provides: kmessedwords
Provides: kstars
Provides: ktouch
Provides: kvoctrain

BuildRoot: %{_tmppath}/%{name}-root

%description
Educational/Edutainment applications for KDE


%package devel
Summary: Header files for kdeedu
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains header files for kdeedu.

%package -n keduca
Summary: Tests and Exams
Group: User Interface/Desktops

%description -n keduca
Tests and Exams

%package -n kgeo
Summary: Interactive Geometry
Group: User Interface/Desktops

%description -n kgeo
Interactive Geometry

%package -n klettres
Summary: French alphabet tutor
Group: User Interface/Desktops

%description -n klettres
French alphabet tutor

%package -n kmessedwords
Summary: Letter Order Game
Group: User Interface/Desktops

%description -n kmessedwords
Letter Order Game

%package -n kstars
Summary: Desktop Planetarium
Group: User Interface/Desktops

%description -n kstars
Desktop Planetarium

%package -n ktouch
Summary: Touch Typing Tutor
Group: User Interface/Desktops

%description -n ktouch
Touch Typing Tutor

%package -n kvoctrain
Summary: Vocabulary Trainer
Group: User Interface/Desktops

%description -n kvoctrain
Vocabulary Trainer

%prep
%setup -q

%patch -p1 -b .xjdxgen
%patch1 -p1 -b .dt
%patch2 -p1 -b .libtool

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure \
   --includedir=%{_includedir}/kde \
   --with-qt-libraries=$QTDIR/lib \
   --enable-final

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   --add-category "Application;Education;X-Red-Hat-Extra" \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Edutainment/*/*.desktop

rm -rfv $RPM_BUILD_ROOT%{_datadir}/applnk
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/*
%if %{desktop_file}
%{_datadir}/applications/*
%else
%{_datadir}/applnk/Edutainment
%endif
%{_datadir}/apps/*
%{_datadir}/mimelnk/application/*
%{_datadir}/icons/*/*/*/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*

%changelog
* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of gcc path from dependency_libs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- remove some unneeded macros

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.5
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.4
- rc6
- removed size_t check
- excluded ia64

* Sun Dec  1 2002 Than Ngo <than@redhat.com> 3.1-0.3
- add missing defattr

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.2
- get rid of sub packages
- desktop issues

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- add fix for building xjdxgen

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- cleanup specfile

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3

* Fri Aug  9 2002 Than Ngo <than@redhat.com> 3.0.2-3
- desktop file issues
- fixed a bug in install (bug #69414)
 
* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-2
- build using gcc-3.2-0.1

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat May 25 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
